/* 
 * File:   nautilus-metadata-tracker.h
 * Author: yelo3
 *
 * Created on 17 luglio 2008, 0.26
 */

#ifndef _NAUTILUS_METADATA_TRACKER_H
#define	_NAUTILUS_METADATA_TRACKER_H

#ifdef	__cplusplus
extern "C" {
#endif

/* shared tags */
#define METADATA_DURATION_ATTRIBUTE "Shared:Duration"
#define METADATA_ARTIST_ATTRIBUTE "Shared:Artist"
#define METADATA_AUTHOR_ATTRIBUTE "Shared:Author"
#define METADATA_TITLE_ATTRIBUTE "Shared:Title"
#define METADATA_ALBUM_ATTRIBUTE "Shared:Album" // not for videos
#define METADATA_YEAR_ATTRIBUTE "Shared:Year"
#define METADATA_DATE_ATTRIBUTE "Shared:Date"
#define METADATA_DESCRIPTION_ATTRIBUTE "Shared:Description"
#define METADATA_TRACK_ATTRIBUTE "Shared:Track"
#define METADATA_GENRE_ATTRIBUTE "Shared:Genre"
#define METADATA_DISC_COUNT_ATTRIBUTE "Shared:Disc-count"
#define METADATA_RESOLUTION_ATTRIBUTE "Shared:Resolution"
#define METADATA_CODEC_ATTRIBUTE "Shared:Codec"

/* audio tags */
#define METADATA_AUDIO_BITRATE_ATTRIBUTE "Audio:Bitrate"
#define METADATA_AUDIO_SAMPLE_RATE_ATTRIBUTE "Audio:Samplerate"
#define METADATA_AUDIO_CHANNELS_ATTRIBUTE "Audio:Channels"
#define METADATA_AUDIO_CODEC_ATTRIBUTE "Audio:Codec"

/* video tags */
#define METADATA_VIDEO_CODEC_ATTRIBUTE "Video:Codec"
#define METADATA_VIDEO_FPS_ATTRIBUTE "Video:Framerate"
#define METADATA_VIDEO_BITRATE_ATTRIBUTE "Video:Bitrate"

/* document tags */
#define METADATA_DOCUMENT_SUBJECT_ATTRIBUTE "Document:Subject"
#define METADATA_DOCUMENT_WORD_COUNT_ATTRIBUTE "Document:WordCount"
#define METADATA_DOCUMENT_PAGE_COUNT_ATTRIBUTE "Document:PageCount"
	
/* image tags */
#define METADATA_IMAGE_CAMERA_MAKE_AND_MODEL_ATTRIBUTE "Image:CameraMakeModel"
	
#ifdef	__cplusplus
}
#endif

#endif	/* _NAUTILUS_METADATA_TRACKER_H */

